#include "aboutmoduledlg.h"

#include <kbugreport.h>
#include <klocale.h>

AboutModuleDlg::AboutModuleDlg(const KAboutData *aboutData, QWidget *parent)
            : KAboutApplication(aboutData, parent)
            , _aboutData(aboutData)
{
   setHelpLinkText(i18n("Report Bug...")); 
   enableLinkedHelp(true);
}

void AboutModuleDlg::helpClickedSlot(const QString&)
{
    KBugReport *bugReport = new KBugReport(0,true,_aboutData);

    bugReport->exec();

    delete bugReport;
}
#include "aboutmoduledlg.moc"
